Subject: Re: [PATCH core-packages-team 0/5] Restoring the Hurd

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sat, 24 May 2025 09:13:15 +0200

Hi!

> Here are (hopefully) the last remaining patches to fix #77709.
> I have built things up to bison and automake succesfully.
> Some notes:

> I am bad at naming things and labelled the glibc patches according to
> the gnulib-test they fix.

Yes, that makes sense to me.

> I tried to add comments explaining why things are changed, I hope they
> are clear enough.

Thanks, I like what you've done!

> For the --disable-year2038 changes, several packages in
> commencement.scm already have it unconditionally and this is now
> repeated twice on i586-gnu by inheriting the args.
> Is there a better way to get only the 32bit hurd target than the
>
> (and (target-hurd?)
>      (not (target64bit?)))
>
> i am using currently?

This is how it's done, indeed.

> I dont know what the convention is when the #:configure-flag keyword
> is added only for a specific target if the keyword is also spliced in
> or not, but this is only a cosmetic change.

> The automake test suite seems to be extremely flaky. It fails when the
> host glibc is 2.39 because of locale errors on stderr  (the test
> checks for empty stderr)  and some other tests that required multiple
> tries (~8) to get lucky. 
> However the t/output-order.sh failure due to libgc warnings from the
> guile driver on stderr currently on master no longer occurs.

Yes.  IIRC, Debian has simply disabled many test suites on the Hurd.
It can be quite a lot of work to disable specific tests but usually
I much prefer that.

> Ludovic also mentioned to merge glibc and glibc/hurd again.

Yes, whenever that's possible I think it's preferrable.  I'm always
hoping "this time" is the last time we have to use a separate glibc/hurd
:)

> Yelninei (5):
>   gnu: glibc/hurd: Fix gnulib tests.
>   gnu: findutils: Disable 64bit time_t on the 32bit Hurd.
>   gnu: util-linux: Disable 64bit time_t on the 32bit Hurd.
>   gnu: tar: Disable 64bit time_t on the 32bit Hurd.
>   gnu: bison: Link with pthread on the Hurd.

LGTM, pushed to core-packages-team; thanks!

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com